# Get a customer **GET /eTech/rest/ws/referentials/v1/customers/code:{customerCode}** Return the customer object if the `customerCode` exists. Rate limit range : High ## Servers - The node of your Praxedo instance (eu1, am1...).: https://ws-eu1.praxedo.com (The node of your Praxedo instance (eu1, am1...).) ## Authentication methods - Bearer authentication ## Parameters ### Path parameters - **customerCode** (string) Requested customer code, case insensitive. ## Responses ### 200 Customer found successfully. #### Body: application/json (object) - **customerCode** (string) Customer code. Case insensitive. - **name** (string) Customer name. - **parentCustomerCode** (string | null) Parent customer code. Case insensitive. - **officeCode** (string) Office code. Case insensitive. If the property is not filled in - if the parent customer code is filled in, the parent customer office will be applied - if the parent customer code is not filled in, the office of the OAuth2.0 application will be applied - **contact** (object | null) - **addressDetails** (object) - **description** (string | null) Customer description of any. - **customFields** (object) Map of custom fields of a customer. - **lastUpdate** (string(date-time)) Last update, UTC date-time notation as defined by RFC 3339, section 5.6. Only returned by the GET API. ### 400 Bad Request - validation errors. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 401 Unauthorized - authentication issue. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 403 Forbidden - not enough rights. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 404 Customer not found. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 429 Too Many Requests. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. ### 500 Internal server error. #### Body: application/json (object) - **errors** (array[object]) Array of errors. Contains at least one element. - **errorReference** (string) Error unique reference. Communicated to support, this will help to locate the issue. [Powered by Bump.sh](https://bump.sh)